summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-06-25 00:28:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-25 00:28:32 +0700
commit014a4979c4e4386002e528026629817306fd7fef (patch)
treeb98d088f6aa366d89dcdce11e1f77cfd3cbb0b7a
parent500119a5e9ef466dda01d140ef58e620d3214481 (diff)
downloadslackbuilds-014a4979c4e4386002e528026629817306fd7fef.tar.gz
slackbuilds-014a4979c4e4386002e528026629817306fd7fef.tar.xz
desktop/moka-minimal: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/moka-minimal/README7
-rw-r--r--desktop/moka-minimal/doinst.sh13
-rw-r--r--desktop/moka-minimal/moka-minimal.SlackBuild62
-rw-r--r--desktop/moka-minimal/moka-minimal.info10
-rw-r--r--desktop/moka-minimal/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/desktop/moka-minimal/README b/desktop/moka-minimal/README
new file mode 100644
index 0000000000..9efe4095ea
--- /dev/null
+++ b/desktop/moka-minimal/README
@@ -0,0 +1,7 @@
+moka-minimal (gnome icon theme).
+
+Grayscale versions of Moka & Faba icons (already in SlackBuilds).
+
+This is not dependent of packages 'faba-icon-theme' or 'moka-icon-theme'.
+
+NOTE: p7zip is used only to extract the source.
diff --git a/desktop/moka-minimal/doinst.sh b/desktop/moka-minimal/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/moka-minimal/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/moka-minimal/moka-minimal.SlackBuild b/desktop/moka-minimal/moka-minimal.SlackBuild
new file mode 100644
index 0000000000..a3774c4308
--- /dev/null
+++ b/desktop/moka-minimal/moka-minimal.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Slackware build script for moka-minimal.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="moka-minimal"
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="moka_minimal_and_faba_minimal_icon_sets_by_cbowman57-d7zit3f"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+7z x $CWD/$SRCNAM.7z
+mkdir $PRGNAM-$VERSION
+mv Faba-Minimal Moka-Minimal $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/icons
+cp -a * $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/moka-minimal/moka-minimal.info b/desktop/moka-minimal/moka-minimal.info
new file mode 100644
index 0000000000..b542ad17b1
--- /dev/null
+++ b/desktop/moka-minimal/moka-minimal.info
@@ -0,0 +1,10 @@
+PRGNAM="moka-minimal"
+VERSION="0.1"
+HOMEPAGE="http://goo.gl/UhTfJP"
+DOWNLOAD="http://fc01.deviantart.net/fs70/f/2014/270/e/0/moka_minimal_and_faba_minimal_icon_sets_by_cbowman57-d7zit3f.7z"
+MD5SUM="7b4cd539d87e70839027eca0414f6616"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="p7zip"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/moka-minimal/slack-desc b/desktop/moka-minimal/slack-desc
new file mode 100644
index 0000000000..a34dd0adc2
--- /dev/null
+++ b/desktop/moka-minimal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+moka-minimal: moka-minimal (gnome icon theme)
+moka-minimal:
+moka-minimal: Grayscale versions of Moka & Faba icons.
+moka-minimal:
+moka-minimal: Home Page: http://goo.gl/UhTfJP
+moka-minimal:
+moka-minimal:
+moka-minimal:
+moka-minimal:
+moka-minimal:
+moka-minimal: